Record Class ConnectorRequest
java.lang.Object
java.lang.Record
com.bonitasoft.processbuilder.execution.ConnectorRequest
- Record Components:
configJson- The full PBConfiguration.configValue JSON (contains baseUrl, methods[], auth, etc.)actionType- The FlowActionType key ("restApis", "notifications")methodName- The method name to invoke from the methods[] array (NEW structure)params- Runtime parameters for {{param}} substitution (query + path combined)body- Optional request body overrideheaders- Optional additional headersfieldMappingJson- Optional field mapping JSON for response transformationtimeoutMs- Optional timeout override (0 = use config default)verifySsl- Optional SSL verification override (null = use config default)methodOverride- Optional HTTP method override (e.g., "GET", "POST")queryParams- Optional URL query parameters (appended to URL, distinct from template params)
public record ConnectorRequest(String configJson, String actionType, String methodName, Map<String,String> params, String body, Map<String,String> headers, String fieldMappingJson, int timeoutMs, Boolean verifySsl, String methodOverride, Map<String,String> queryParams)
extends Record
Input request for the ConnectorExecutionEngine.
Encapsulates all the information needed to execute a REST call: the PBConfiguration JSON, the method to invoke, and runtime overrides.
-
Nested Class Summary
Nested Classes -
Constructor Summary
ConstructorsConstructorDescriptionConnectorRequest(String configJson, String actionType, String methodName, Map<String, String> params, String body, Map<String, String> headers, String fieldMappingJson, int timeoutMs, Boolean verifySsl, String methodOverride, Map<String, String> queryParams) Creates an instance of aConnectorRequestrecord class. -
Method Summary
Modifier and TypeMethodDescriptionReturns the value of theactionTyperecord component.body()Returns the value of thebodyrecord component.static ConnectorRequest.BuilderReturns the value of theconfigJsonrecord component.final booleanIndicates whether some other object is "equal to" this one.Returns the value of thefieldMappingJsonrecord component.final inthashCode()Returns a hash code value for this object.headers()Returns the value of theheadersrecord component.Returns the value of themethodNamerecord component.Returns the value of themethodOverriderecord component.params()Returns the value of theparamsrecord component.Returns the value of thequeryParamsrecord component.intReturns the value of thetimeoutMsrecord component.final StringtoString()Returns a string representation of this record class.Returns the value of theverifySslrecord component.
-
Constructor Details
-
ConnectorRequest
public ConnectorRequest(String configJson, String actionType, String methodName, Map<String, String> params, String body, Map<String, String> headers, String fieldMappingJson, int timeoutMs, Boolean verifySsl, String methodOverride, Map<String, String> queryParams) Creates an instance of aConnectorRequestrecord class.- Parameters:
configJson- the value for theconfigJsonrecord componentactionType- the value for theactionTyperecord componentmethodName- the value for themethodNamerecord componentparams- the value for theparamsrecord componentbody- the value for thebodyrecord componentheaders- the value for theheadersrecord componentfieldMappingJson- the value for thefieldMappingJsonrecord componenttimeoutMs- the value for thetimeoutMsrecord componentverifySsl- the value for theverifySslrecord componentmethodOverride- the value for themethodOverriderecord componentqueryParams- the value for thequeryParamsrecord component
-
-
Method Details
-
builder
-
toString
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components. -
hashCode
public final int hashCode()Returns a hash code value for this object. The value is derived from the hash code of each of the record components. -
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared withObjects::equals(Object,Object); primitive components are compared with '=='. -
configJson
Returns the value of theconfigJsonrecord component.- Returns:
- the value of the
configJsonrecord component
-
actionType
Returns the value of theactionTyperecord component.- Returns:
- the value of the
actionTyperecord component
-
methodName
Returns the value of themethodNamerecord component.- Returns:
- the value of the
methodNamerecord component
-
params
Returns the value of theparamsrecord component.- Returns:
- the value of the
paramsrecord component
-
body
Returns the value of thebodyrecord component.- Returns:
- the value of the
bodyrecord component
-
headers
Returns the value of theheadersrecord component.- Returns:
- the value of the
headersrecord component
-
fieldMappingJson
Returns the value of thefieldMappingJsonrecord component.- Returns:
- the value of the
fieldMappingJsonrecord component
-
timeoutMs
public int timeoutMs()Returns the value of thetimeoutMsrecord component.- Returns:
- the value of the
timeoutMsrecord component
-
verifySsl
Returns the value of theverifySslrecord component.- Returns:
- the value of the
verifySslrecord component
-
methodOverride
Returns the value of themethodOverriderecord component.- Returns:
- the value of the
methodOverriderecord component
-
queryParams
Returns the value of thequeryParamsrecord component.- Returns:
- the value of the
queryParamsrecord component
-